"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyIfObjHasChildren = exports.getEntriesFromObj = exports.validateEntry = void 0;
var ramda_1 = require("ramda");
var validateEntry = function (entry) {
    var entryType = typeof entry;
    return (0, ramda_1.cond)([
        [(0, ramda_1.equals)('string'), (0, ramda_1.always)('string')],
        [(0, ramda_1.equals)('number'), (0, ramda_1.always)('number')],
        [(0, ramda_1.equals)('boolean'), (0, ramda_1.always)('boolean')],
    ])(entryType);
};
exports.validateEntry = validateEntry;
var getEntriesFromObj = function (json) { return Object.entries(json); };
exports.getEntriesFromObj = getEntriesFromObj;
var verifyIfObjHasChildren = function (obj) {
    if (typeof obj !== 'object')
        return false;
    return Object.keys(obj).length > 1;
};
exports.verifyIfObjHasChildren = verifyIfObjHasChildren;
