"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findPrimitives = exports.jsonToPrimitive = void 0;
var entries_function_1 = require("./entries-function");
var jsonToPrimitive = function (json) {
    var mutableObj = {};
    var entries = Array.isArray(json) ? (0, entries_function_1.getEntriesFromObj)(json[0]) : (0, entries_function_1.getEntriesFromObj)(json);
    for (var i = 0; i < entries.length; i++) {
        var keyName = entries[i][0];
        var value = entries[i][1];
        var newValue = (0, entries_function_1.verifyIfObjHasChildren)(value) ? (0, exports.findPrimitives)(value) : (0, entries_function_1.validateEntry)(value);
        mutableObj[keyName] = newValue;
    }
    return mutableObj;
};
exports.jsonToPrimitive = jsonToPrimitive;
var findPrimitives = function (json) {
    var entries = Array.isArray(json) ? (0, entries_function_1.getEntriesFromObj)(json[0]) : (0, entries_function_1.getEntriesFromObj)(json);
    var obj = {};
    for (var i = 0; i < entries.length; i++) {
        var keyName = entries[i][0];
        var value = entries[i][1];
        var newValue = (0, entries_function_1.verifyIfObjHasChildren)(value) ? (0, exports.findPrimitives)(value) : (0, entries_function_1.validateEntry)(value);
        obj[keyName] = newValue;
    }
    return obj;
};
exports.findPrimitives = findPrimitives;
